Sisyphus repository
Last update: 1 october 2023 | SRPMs: 18631 | Visits: 37401527
en ru br
ALT Linux repos
S:1.40.0-alt1
D:1.13.0-alt1
5.0: 1.13.0-alt3
4.1: 1.13.0-alt2.M41.2
4.0: 1.13.0-alt2.M40.1
+backports:1.13.0-alt2.M40.1

Group :: Networking/WWW
RPM: mediawiki

 Main   Changelog   Spec   Patches   Sources   Download   Gear   Bugs and FR  Repocop 

#! /bin/bash

INIFILE=mediawiki.ini

if [ ! -r "`dirname $0`/$INIFILE" ]; then
echo "Error: INI file $INIFILE not found" >&2
exit 1
fi

PHPINIDIR="`rpm -ql apache2-mod_php5 | grep "/etc/php/.*/apache2-mod_php/php.d"`"

if [ ! -d "$PHPINIDIR" ]; then
echo "Error: php.d/ dir not found ($PHPINIDIR)" >&2
exit 1
fi

if [ ! -w "$PHPINIDIR" ]; then
echo "Error: $PHPINIDIR/ dir is not writable" >&2
exit 1
fi

if [ -e "$PHPINIDIR/$INIFILE" ]; then
echo "Error: INI file $PHPINIDIR/$INIFILE already exists." >&2
exit 1
fi


echo "First, set restricted mode:"
control apache2-mod_php5 restricted && echo "Done." || echo "Error!"


echo "Copy PHP config to $PHPINIDIR/"
/bin/cp "`dirname $0`/$INIFILE" $PHPINIDIR/ && echo "Done." || echo "Error!"

echo "Restart HTTPD2 daemon if need"
service httpd2 condrestart

 
design & coding: Vladimir Lettiev aka crux © 2004-2005, Andrew Avramenko aka liks © 2007-2008
current maintainer: Michael Shigorin